%global momorel 1
%global srcname xmlrpc

Summary:	A library implementing XML-based remote procedure calls
Name:		xmlrpc-c
Version:	1.14.8
Release:	%{momorel}m%{?dist}
License:	BSD
Group:		System Environment/Libraries
URL:		http://xmlrpc-c.sourceforge.net/
#Source0:	http://dl.sourceforge.net/sourceforge/%%{name}/%%{srcname}-%%{version}.tgz 
#NoSource:	0
Source0:	%{name}-%{version}.tar.bz2
Patch100:	make-cmake-transition.patch
Patch102:	fixed-broken-format-string-modifiers-for-size_t-type.patch
Patch105:	use-proper-datatypes.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	cmake >= 2.4.8-3m
BuildRequires:	w3c-libwww-devel >= 5.2.8
BuildRequires:	curl-devel >= 7.18.2
BuildRequires:	libxml2-devel
BuildRequires:	openldap-devel >= 2.4.8

%description
XML-RPC is a lightweight RPC protocol based on XML and HTTP. This package
is used by XML-RPC clients and servers written in C and C++. 

%package devel
Summary: Libraries and header files for developing XML-RPC applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Static libraries and header files for writing XML-RPC applications in C and
C++.

%package apps
Summary:   Sample XML-RPC applications
Group:     Applications/Internet
Requires: %{name} = %{version}-%{release}

%description apps
Some handy XML-RPC demo applications based on the Meerkat Open Wire Service
(found at http://www.oreillynet.com/meerkat/). You can use 'query-meerkat' to
perform a regex search on recent news items, or 'meerkat-app-list' to get
a list of recent Linux software releases.

%prep
%setup -q
%patch100 -p1
%patch102 -p1
%patch105 -p1

## not needed...
rm doc/{INSTALL,configure_doc}

%build
mkdir momonga
cd momonga
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
cmake .. \
	-D_lib:STRING=%_lib			\
	-DMUST_BUILD_CURL_CLIENT:BOOL=ON	\
	-DMUST_BUILD_LIBWWW_CLIENT:BOOL=OFF	\
        -DCMAKE_INSTALL_PREFIX:PATH=%_prefix	\
        -DBUILD_SHARED_LIBS:BOOL=ON

make VERBOSE=1 %{?_smp_mflags}

%install
%{__rm} -rf --preserve-root %{buildroot}
make  DESTDIR="%{buildroot}" install -C momonga

chmod +x $RPM_BUILD_ROOT%_libdir/*.so

# for backward compatibility
(cd %{buildroot}/%{_includedir}
ln -s xmlrpc-c/oldxmlrpc.h xmlrpc.h
ln -s xmlrpc-c/oldcppwrapper.hpp XmlRpcCpp.h
ln -s xmlrpc-c/server_cgi.h xmlrpc_cgi.h
ln -s xmlrpc-c/client.h xmlrpc_client.h
ln -s xmlrpc-c/server.h xmlrpc_server.h
ln -s xmlrpc-c/server_abyss.h xmlrpc_server_abyss.h
ln -s xmlrpc-c/server_w32httpsys.h xmlrpc_server_w32httpsys.h
)

%clean
%{__rm} -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
if [ "$1" = 0 ]; then
    /sbin/ldconfig
fi

%files 
%defattr(-, root, root)
%doc doc/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/xmlrpc-c-config
%{_includedir}/Xml*.h
%{_includedir}/xmlrpc*.h
%dir %{_includedir}/xmlrpc-c
%{_includedir}/xmlrpc-c/*.h
%{_includedir}/xmlrpc-c/*.hpp
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
#%{_libdir}/*.la
#%{_libdir}/*.a

%files apps
%defattr(-,root,root)
%doc tools/xmlrpc/xmlrpc.html
%doc tools/xmlrpc_transport/xmlrpc_transport.html
%{_mandir}/man1/*
%{_bindir}/xmlrpc
%{_bindir}/xmlrpc_transport
%{_bindir}/xml-rpc-api2cpp
%{_bindir}/xmlrpc_cpp_proxy

%changelog
* Sat Jul 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.14.8-1m)
- update to 1.14.8, advanced version (sync with Fedora)
- no NoSource

* Fri Jul 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.06.27-1m)
- update to 1.06.27
- add patch200 to enable build with new curl

* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.06.07-6m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.06.07-5m)
- rebuild against gcc43

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.06.07-4m)
- rebuild against openldap-2.4.8

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.06.07-3m)
- %%NoSource -> NoSource

* Wed Jan  2 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.06.07-2m)
- added patch for gcc43

*  Sun Nov 12 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.06.07-1m)
- update to 1.06.07
- - import patch6 and patch100 from Fedora Extra(1.06.05-3) and build system is changed to cmake since autotools/make does not work
- rebuild against curl-7.16.0

* Fri Oct 20 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.04-2m)
- change autoreconf to each autotools

* Wed May 24 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.04-1m)
- update to  1.04

* Fri Apr 15 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.2-1m)
- initial import to Momonga
